> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prop Trading Create Payout Import

> Validates file size/MIME, creates a DRAFT payout import and mints a presigned S3 upload URL.

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/prop-trading-create-payout-import
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/prop-trading-create-payout-import:
    post:
      operationId: propTradingCreatePayoutImport
      summary: Prop Trading Create Payout Import
      description: >-
        Validates file size/MIME, creates a DRAFT payout import and mints a
        presigned S3 upload URL.


        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropTradingCreatePayoutImportRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropTradingCreatePayoutImportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    PropTradingCreatePayoutImportRequest:
      type: object
      properties:
        fileName:
          type: string
          minLength: 1
          maxLength: 255
        contentType:
          type: string
          enum:
            - text/csv
            - application/vnd.ms-excel
            - application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
        sizeBytes:
          type: integer
          minimum: 1
        fileSha256:
          type: string
      required:
        - fileName
        - contentType
        - sizeBytes
        - fileSha256
    PropTradingCreatePayoutImportResponse:
      type: object
      properties:
        payoutImportID:
          type: string
        uploadUrl:
          type: string
        fileKey:
          type: string
        fileBucket:
          type: string
        expiresAt:
          type: string
        duplicateOfImportID:
          type:
            - string
            - 'null'
      required:
        - payoutImportID
        - uploadUrl
        - fileKey
        - fileBucket
        - expiresAt
        - duplicateOfImportID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
